package com.ruoyi.web;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.service.SystemReviewTaskService;
import com.ruoyi.web.request.CreateSystemReviewTaskRequest;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/system/review/task")
public class SystemReviewTaskController extends BaseController {

    @Autowired
    private SystemReviewTaskService systemReviewTaskService;

    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/create")
    public AjaxResult create(@Validated @RequestBody CreateSystemReviewTaskRequest request) {
        systemReviewTaskService.createTaskTest(request.getBizInfo(), request.getUserIds());
        return success();
    }

}
