package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 审查场景
 */
@TableName(value ="t_review_scene")
@Data
public class ReviewScene {

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 文本内容
     */
    private String text;

    /**
     * 审查细则id
     */
    private Long reviewDetailsId;

}
